Package logilab :: Package common :: Module proc :: Class ProcInfoLoader

[frames] | no frames]

# Class ProcInfoLoader

source code

    manage process information

Instance Methods

__init__(self) | source code

list_pids(self) return a list of existent process ids | source code

load(self, pid) get a ProcInfo object for a given pid | source code

load_all(self) load all processes information | source code